#    Big Sister network monitor
#    Copyright (C) 2003  Thomas Aeby
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

package BigSister::BigSister::Application;

use BigSWAF::Configuration;
use BigSWAF::Application;
use strict;

use lib "."; use lib "platforms"; use lib "tools"; use lib "uxmon"; use lib "bsmonitor";    #inslib

@BigSister::BigSister::Application::ISA = qw( BigSWAF::Application );

my $config = application BigSWAF::Configuration( "BigSister" );
my $root = $config->{"root"};
push( @INC, $root ) if( $root );
use BigSister::common;

proginit();

$config->set( "skinpath", $BigSister::common::fs{"web"}."/skins" ) unless( $config->get("skinpath") );


sub default {
    my( $self, $operation ) = @_;
    
    if( $operation eq "www" ) {
	my $path = $self->env()->path();
	return BigSWAF::FileRequest::return_file( $self->env(), $BigSister::common::fs{'web'}, $path );
    }
    $self->SUPER::default();
}

1;
